﻿

<div class="card mt-n0 mt-sm-n5 border-0 card-login faded" style="width: 400px">
  <div class="card-header bg-dark d-flex justify-content-between align-items-center"
  style="border-bottom: 2px solid #00d1b2; padding: 12px;">
  <h6 class="card-title text-white m-0">
    Inicio de sesion
  </h6>
  <div class="mr-1" style="width: 25px;">
    <img src="assets/img/icon/brand.jpg" alt="Brand" class="w-100">
  </div>
</div>
<div class="card-body px-3 py-4 faded">
  <div class="row">
    <div class="col-md-11 mx-auto">
      <form #form="ngForm" autocomplete="off" (ngSubmit)="service.login(form)">
        <div class="row">
          <div class="col-md-12" [input-wrapper]="user" label="Correo" labelClass="mb-2" errorMsg="">
            <div class="input-group">
              <div class="input-group-prepend">
                <div class="input-group-text">
                  <i class="mdi mdi-account-lock-outline"></i>
                </div>
              </div>
              <input type="text" class="form-control" name="user" #user="ngModel" [(ngModel)]="service.model.Email"
                placeholder="Correo Electronico" required>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12" [input-wrapper]="password" label="Contraseña" labelClass="mb-2" errorMsg="">
            <div class="input-group">
              <div class="input-group-prepend">
                <div class="input-group-text">
                  <i class="mdi mdi-lock-open-outline"></i>
                </div>
              </div>
              <input type="password" class="form-control" name="password" #password="ngModel"
                [(ngModel)]="service.model.Password" placeholder="Contraseña" required>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
  <div class="row">
    <div class="col-md-11 mx-auto text-center">
      <div class="divider-horizontal"><i class="mdi mdi-record text-muted"></i></div>
      <div class="d-flex justify-content-between align-items-center mt-2 mx-1">
        <small class="text-muted ml-1">¿No tengo una cuenta aún?</small>
        <span class="btn btn-success text-white btn-sm" [routerLink]="['/account/register']" (click)="form.reset()"
		type="button">
          Registrarme
        </span>
      </div>
    </div>
  </div>
</div>
<div class="card-footer border-top">
  <div class="row no-gutters">
    <div class="col-md-7 mx-auto">
      <button class="btn btn-block btn-teal" [disabled]="form.invalid || service.loading" (click)="service.login(form)"
	type="submit">
        Ingresar
        <div class="h-100">
          <ngx-spinner name="AUTH_SPINNER" bdColor="#00d1b2" color="#fff" size="small" type="line-scale"
            [fullScreen]="false">
          </ngx-spinner>
        </div>
      </button>
    </div>
  </div>
</div>
</div>
